MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031637Open CASCADE[OCCT] OCCT:Documentationpublic2020-06-28 23:022020-07-11 12:30
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityintegration request 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031637: Documentation - minor clean-up of User Guide for Visualization module
DescriptionIt is desired to clean up User Guides text from minor mistakes / misprints / old or non-existing OCCT classes.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0031634newkgv Documentation - minor clean-up of User Guides from misprints and old classes 

-  Notes
(0092823)
git (administrator)
2020-06-28 23:08

Branch CR31637 has been created by kgv.

SHA-1: eade1f5a97d227c0c978ee8032d9ecb407f7e144


Detailed log of new commits:

Author: kgv
Date: Sun Jun 28 21:59:22 2020 +0300

    0031637: Documentation - minor clean-up of User Guide for Visualization module
    
    Fixed a couple of misprints, usage of changed classes / methods.
    Added references to other supported 3d displays.
    Added reference to PBR metallic-roughness material properties in addition to Common.
    
    Cosmetics: removed numerous trailing spaces, double spaces.
    Added missing {.cpp} language qualifier to code quotations.
    Sentences within paragraphs have been split into multiple lines in source file.
(0092824)
kgv (developer)
2020-06-28 23:11

Patch is ready for review in OCCT branch CR31637.
(0093051)
git (administrator)
2020-07-09 10:54

Branch CR31637 has been updated forcibly by kgv.

SHA-1: c9298c7750604363021847987565ad1ebe2faca2
(0093052)
git (administrator)
2020-07-09 11:05

Branch CR31637 has been updated by kgv.

SHA-1: 5f7e83f49c13e722e96309b50782d6e713b23a27


Detailed log of new commits:

Author: kgv
Date: Thu Jul 9 11:06:53 2020 +0300

    # remarks

(0093053)
git (administrator)
2020-07-09 11:15

Branch CR31637 has been updated forcibly by kgv.

SHA-1: c47bcee59d3ce38bda114ae1f4874af83d8225c3
(0093054)
nds (developer)
2020-07-09 11:17

Dear bugmaster,

Branches for integration:

OCCT - CR31637
Products - NOT
(0093103)
bugmaster (administrator)
2020-07-11 12:13

Combination -
OCCT branch : IR-2020-07-10
master SHA - 74440d215bf268902458b25e36a61c791f21fc38
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-07-10 SHA - 6e90d3ea8d7f26e39ec8b263c708ad6ecf5dfaaa
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17210.790000000085 / 17175.910000000105 [+0.20%]
Products
Total CPU difference: 11229.020000000071 / 11228.490000000076 [+0.00%]
Windows-64-VC14:
OCCT
Total CPU difference: 18725.6875 / 18705.46875 [+0.11%]
Products
Total CPU difference: 11144.125 / 13046.140625 [-14.58%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0093116)
git (administrator)
2020-07-11 12:30

Branch CR31637 has been deleted by inv.

SHA-1: c47bcee59d3ce38bda114ae1f4874af83d8225c3

- Related Changesets
occt: master 453103d1
Timestamp: 2020-06-28 18:59:22
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031637: Documentation - minor clean-up of User Guide for Visualization module

Fixed a couple of misprints, usage of changed classes / methods.
Added references to other supported 3d displays.
Added reference to PBR metallic-roughness material properties in addition to Common.

Cosmetics: removed numerous trailing spaces, double spaces.
Added missing {.cpp} language qualifier to code quotations.
Sentences within paragraphs have been split into multiple lines in source file.
mod - dox/user_guides/visualization/visualization.md Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-06-28 23:02 kgv New Issue
2020-06-28 23:02 kgv Assigned To => kgv
2020-06-28 23:03 kgv Relationship added child of 0031634
2020-06-28 23:08 git Note Added: 0092823
2020-06-28 23:11 kgv Note Added: 0092824
2020-06-28 23:11 kgv Assigned To kgv => nds
2020-06-28 23:11 kgv Status new => resolved
2020-07-09 10:54 git Note Added: 0093051
2020-07-09 11:05 git Note Added: 0093052
2020-07-09 11:15 git Note Added: 0093053
2020-07-09 11:17 nds Note Added: 0093054
2020-07-09 11:17 nds Assigned To nds => bugmaster
2020-07-09 11:17 nds Status resolved => reviewed
2020-07-11 12:13 bugmaster Note Added: 0093103
2020-07-11 12:13 bugmaster Status reviewed => tested
2020-07-11 12:17 bugmaster Test case number => Not required
2020-07-11 12:22 bugmaster Changeset attached => occt master 453103d1
2020-07-11 12:22 bugmaster Status tested => verified
2020-07-11 12:22 bugmaster Resolution open => fixed
2020-07-11 12:30 git Note Added: 0093116


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker